iotoms Docs

Export a goods receipt as PDF

GET
/api/v1/reports/procurement/grn/{grnId}/export

Downloads a single goods receipt (the record of stock received from a vendor) as a complete PDF document.

Authorization

BearerAuth
headerAuthorizationBearer <JWT>

Path Parameters

grnId*string

Goods receipt UUID

Formatuuid

Header Parameters

X-TenantID*string

Your merchant's tenant code — the value typed in the Domain field on the iotoms login screen. See Concepts.

Response Body

OK

response?stringapplication/pdf
Example Request
curl -X GET 'https://beta.iotoms.com/api/v1/reports/procurement/grn/497f6eca-6276-4993-bfeb-53cbbbba6f08/export' \  -H 'X-TenantID: your-tenant-code'
Example Response
"string"